--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from The Burning Crusade.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_TBC(itemID)
	for _,v in pairs(SmexyMats.TBC_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.TBC_ReagentIDs = {	
	--Misc Items
		29740,	--	Fel Armament
		30809, 	--	Mark of Sargeras
	--Lockbox IDs
		5760,	--	Eternium Lockbox
		31952,	--	Khorium Lockbox
	--Crafting Reagent IDs
		23446,	--	Adamantite Bar
		23784,	--	Adamantite Frame
		23425,	--	Adamantite Ore
		108302,	--	Adamantite Ore Nugget
		24243,	--	Adamantite Powder
		22790,	--	Ancient Lichen
		108348,	--	Ancient Lichen Petal
		22445,	--	Arcane Dust
		23117,	--	Azure Moonstone
		27422,	--	Barbed Gill Trout
		35562,	--	Bear Flank
		23077,	--	Blood Garnet
		33823,	--	Bloodfin Catfish
		21842,	--	Bolt of Imbued Netherweave
		21840,	--	Bolt of Netherweave
		21844,	--	Bolt of Soulcloth
		20817,	--	Bronze Setting
		27671,	--	Buzzard Meat
		27677,	--	Chunk o' Basilisk
		27678,	--	Clefthoof Meat
		112184,	--	Cobra Scale Fragment
		29539,	--	Cobra Scales
		33824,	--	Crescent-Tail Skullfish
		32227,	--	Crimson Spinel
		25699,	--	Crystal Infused Leather
		23440,	--	Dawnstone
		23079,	--	Deep Peridot
		20816,	--	Delicate Copper Wire
		22786,	--	Dreaming Glory
		108345,	--	Dreaming Glory Petal
		25867,	--	Earthstorm Diamond
		23781,	--	Elemental Blasting Powder
		32228,	--	Empyrean Sapphire
		27516,	--	Enormous Barbed Gill Trout
		23447,	--	Eternium Bar
		23427,	--	Eternium Ore
		108303,	--	Eternium Ore Nugget
		25707,	--	Fel Hide
		23445,	--	Fel Iron Bar
		23782,	--	Fel Iron Casing
		23424,	--	Fel Iron Ore
		108301,	--	Fel Iron Ore Nugget
		22794,	--	Fel Lotus
		112181,	--	Fel Scale Fragment
		25700,	--	Fel Scales
		23448,	--	Felsteel Bar
		23787,	--	Felsteel Stabilizer
		22785,	--	Felweed
		108344,	--	Felweed Stalk
		27435,	--	Figluster's Mudfish
		21929,	--	Flame Spessarite
		27439,	--	Furious Crawdad
		27438,	--	Golden Darter
		23112,	--	Golden Draenite
		22446,	--	Greater Planar Essence
		23783,	--	Handful of Fel Iron Bolts
		23573,	--	Hardened Adamantite Bar
		23785,	--	Hardened Adamantite Tube
		35128,	--	Hardened Khorium
		32428,	--	Heart of Darkness
		23793,	--	Heavy Knothide Leather
		27515,	--	Huge Spotted Feltail
		27437,	--	Icefin Bluefish
		32423,	--	Icy Blasting Primers
		24477,	--	Jaggal Clam Meat
		24478,	--	Jaggal Pearl
		23449,	--	Khorium Bar
		23426,	--	Khorium Ore
		108304,	--	Khorium Ore Nugget
		23786,	--	Khorium Power Core
		21887,	--	Knothide Leather
		25649,	--	Knothide Leather Scraps
		22449,	--	Large Prismatic Shard
		22447,	--	Lesser Planar Essence
		32229,	--	Lionseye
		23436,	--	Living Ruby
		27668,	--	Lynx Meat
		22793,	--	Mana Thistle
		108351,	--	Mana Thistle Leaf
		31079,	--	Mercurial Adamantite
		20963,	--	Mithril Filigree
		22572,	--	Mote of Air
		22573,	--	Mote of Earth
		22574,	--	Mote of Fire
		22575,	--	Mote of Life
		22576,	--	Mote of Mana
		22577,	--	Mote of Shadow
		22578,	--	Mote of Water
		112183,	--	Nether Dragonscale Fragment
		29548,	--	Nether Dragonscales
		30183,	--	Nether Vortex
		22791,	--	Netherbloom
		108349,	--	Netherbloom Leaf
		21877,	--	Netherweave Cloth
		21881,	--	Netherweb Spider Silk
		22792,	--	Nightmare Vine
		108350,	--	Nightmare Vine Stem
		23441,	--	Nightseye
		23439,	--	Noble Topaz
		112180,	--	Patch of Crystal Infused Leather
		112182,	--	Patch of Fel Hide
		112179,	--	Patch of Thick Clefthoof Leather
		22451,	--	Primal Air
		22452,	--	Primal Earth
		21884,	--	Primal Fire
		21886,	--	Primal Life
		22457,	--	Primal Mana
		23571,	--	Primal Might
		21845,	--	Primal Mooncloth
		23572,	--	Primal Nether
		22456,	--	Primal Shadow
		21885,	--	Primal Water
		32231,	--	Pyrestone
		22787,	--	Ragveil
		108346,	--	Ragveil Cap
		31670,	--	Raptor Ribs
		27674,	--	Ravager Flesh
		32249,	--	Seaspray Emerald
		31671,	--	Serpent Flesh
		23107,	--	Shadow Draenite
		24479,	--	Shadow Pearl
		24272,	--	Shadowcloth
		32230,	--	Shadowsong Amethyst
		25868,	--	Skyfire Diamond
		22448,	--	Small Prismatic Shard
		21882,	--	Soul Essence
		24271,	--	Spellcloth
		27425,	--	Spotted Feltail
		23438,	--	Star of Elune
		34664,	--	Sunmote
		23437,	--	Talasite
		27682,	--	Talbuk Venison
		22789,	--	Terocone
		108347,	--	Terocone Leaf
		25708,	--	Thick Clefthoof Leather
		21752,	--	Thorium Setting
		22450,	--	Void Crystal
		27681,	--	Warped Flesh
		112185,	--	Wind Scale Fragment
		29547,	--	Wind Scales
		27429,	--	Zangarian Sporefish
};