--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Vanilla.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Vanilla(itemID)
	for _,v in pairs(SmexyMats.Vanilla_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.Vanilla_ReagentIDs = {
	--Lockbox IDs
		4632,	--	Ornate Bronze Lockbox
		4633,	--	Heavy Bronze Lockbox
		4634,	--	Iron Lockbox
		4636,	--	Strong Iron Lockbox
		4637,	--	Steel Lockbox
		4638,	--	Reinforced Lockbox
		5758,	--	Mithril Lockbox
		5759,	--	Thorium Lockbox
	--Crafting Reagent IDs
		7909,	--	Aquamarine
		12363,	--	Arcane Crystal
		12360,	--	Arcanite Bar
		8836,	--	Arthas' Tears
		108334,	--	Arthas' Tears Petal
		12800,	--	Azerothian Diamond
		27669,	--	Bat Flesh
		3173,	--	Bear Meat
		3730,	--	Big Bear Meat
		11754,	--	Black Diamond
		15416,	--	Black Dragonscale
		2325,	--	Black Dye
		13468,	--	Black Lotus
		7971,	--	Black Pearl
		9262,	--	Black Vitriol
		7286,	--	Black Whelp Scale
		6370,	--	Blackmouth Oil
		2324,	--	Bleach
		8839,	--	Blindweed
		108336,	--	Blindweed Stem
		11382,	--	Blood of the Mountain
		15415,	--	Blue Dragonscale
		6260,	--	Blue Dye
		4611,	--	Blue Pearl
		12361,	--	Blue Sapphire
		2677,	--	Boar Ribs
		2996,	--	Bolt of Linen Cloth
		4339,	--	Bolt of Mageweave
		14048,	--	Bolt of Runecloth
		4305,	--	Bolt of Silk Cloth
		2997,	--	Bolt of Woolen Cloth
		7081,	--	Breath of Wind
		2450,	--	Briarthorn
		108320,	--	Briarthorn Bramble
		12607,	--	Brilliant Chromatic Scale
		2841,	--	Bronze Bar
		4382,	--	Bronze Framework
		4371,	--	Bronze Tube
		2453,	--	Bruiseweed
		108322,	--	Bruiseweed Stem
		3404,	--	Buzzard Wing
		21024,	--	Chimaerok Tenderloin
		769,	--	Chunk of Boar Meat
		3864,	--	Citrine
		5503,	--	Clam Meat
		3857,	--	Coal
		4364,	--	Coarse Blasting Powder
		3478,	--	Coarse Grinding Stone
		2836,	--	Coarse Stone
		2320,	--	Coarse Thread
		2840,	--	Copper Bar
		2770,	--	Copper Ore
		17012,	--	Core Leather
		7075,	--	Core of Earth
		2673,	--	Coyote Meat
		2886,	--	Crag Boar Rib
		2675,	--	Crawler Claw
		2674,	--	Crawler Meat
		2924,	--	Crocolisk Meat
		22644,	--	Crunchy Spider Leg
		3371,	--	Crystal Vial
		4236,	--	Cured Heavy Hide
		4231,	--	Cured Light Hide
		4233,	--	Cured Medium Hide
		15407,	--	Cured Rugged Hide
		8172,	--	Cured Thick Hide
		11371,	--	Dark Iron Bar
		11370,	--	Dark Iron Ore
		20520,	--	Dark Rune
		13888,	--	Darkclaw Lobster
		124669,	--	Darkmoon Daggermaw
		8150,	--	Deeprock Salt
		16006,	--	Delicate Arcanite Converter
		12662,	--	Demonic Rune
		15992,	--	Dense Blasting Powder
		12644,	--	Dense Grinding Stone
		12365,	--	Dense Stone
		6470,	--	Deviate Scale
		15417,	--	Devilsaur Leather
		5051,	--	Dig Rat
		3164,	--	Discolored Worg Heart
		3819,	--	Dragon's Teeth
		108329,	--	Dragon's Teeth Stem
		11176,	--	Dream Dust
		13463,	--	Dreamfoil
		108339,	--	Dreamfoil Blade
		2449,	--	Earthroot
		108319,	--	Earthroot Stem
		7069,	--	Elemental Air
		7067,	--	Elemental Earth
		7068,	--	Elemental Fire
		18567,	--	Elemental Flux
		7070,	--	Elemental Water
		18562,	--	Elementium Ingot
		12810,	--	Enchanted Leather
		12655,	--	Enchanted Thorium Bar
		10647,	--	Engineer's Ink
		7082,	--	Essence of Air
		7076,	--	Essence of Earth
		7078,	--	Essence of Fire
		12808,	--	Essence of Undeath
		7080,	--	Essence of Water
		3818,	--	Fadeleaf
		108328,	--	Fadeleaf Petal
		14256,	--	Felcloth
		17010,	--	Fiery Core
		2321,	--	Fine Thread
		6371,	--	Fire Oil
		4625,	--	Firebloom
		108332,	--	Firebloom Petal
		6359,	--	Firefin Snapper
		814,	--	Flask of Oil
		7191,	--	Fused Wiring
		9210,	--	Ghost Dye
		8845,	--	Ghost Mushroom
		108337,	--	Ghost Mushroom Cap
		4655,	--	Giant Clam Meat
		12207,	--	Giant Egg
		7079,	--	Globe of Water
		9061,	--	Goblin Rocket Fuel
		3577,	--	Gold Bar
		2776,	--	Gold Ore
		108296,	--	Gold Ore Nugget
		10558,	--	Gold Power Core
		13926,	--	Golden Pearl
		13464,	--	Golden Sansam
		108340,	--	Golden Sansam Leaf
		3821,	--	Goldthorn
		108331,	--	Goldthorn Bramble
		2251,	--	Gooey Spider Leg
		723,	--	Goretusk Liver
		3369,	--	Grave Moss
		108327,	--	Grave Moss Leaf
		4340,	--	Gray Dye
		11082,	--	Greater Astral Essence
		16203,	--	Greater Eternal Essence
		10939,	--	Greater Magic Essence
		11135,	--	Greater Mystic Essence
		11175,	--	Greater Nether Essence
		15412,	--	Green Dragonscale
		2605,	--	Green Dye
		7392,	--	Green Whelp Scale
		8846,	--	Gromsblood
		108338,	--	Gromsblood Leaf
		12809,	--	Guardian Stone
		4389,	--	Gyrochronatom
		4359,	--	Handful of Copper Bolts
		7077,	--	Heart of Fire
		10286,	--	Heart of the Wild
		4377,	--	Heavy Blasting Powder
		3486,	--	Heavy Grinding Stone
		4235,	--	Heavy Hide
		12204,	--	Heavy Kodo Meat
		4234,	--	Heavy Leather
		15408,	--	Heavy Scorpid Scale
		8343,	--	Heavy Silken Thread
		4400,	--	Heavy Stock
		2838,	--	Heavy Stone
		17194,	--	Holiday Spices
		12364,	--	Huge Emerald
		19441,	--	Huge Venom Sac
		13467,	--	Icecap
		108343,	--	Icecap Petal
		7972,	--	Ichor of Undeath
		16204,	--	Illusion Dust
		9060,	--	Inlaid Mithril Cylinder
		5500,	--	Iridescent Pearl
		3575,	--	Iron Bar
		7071,	--	Iron Buckle
		2772,	--	Iron Ore
		108297,	--	Iron Ore Nugget
		4387,	--	Iron Strut
		14227,	--	Ironweb Spider Silk
		1529,	--	Jade
		3358,	--	Khadgar's Whisker
		108326,	--	Khadgar's Whisker Stem
		3356,	--	Kingsblood
		108324,	--	Kingsblood Petal
		5467,	--	Kodo Meat
		14344,	--	Large Brilliant Shard
		5637,	--	Large Fang
		11084,	--	Large Glimmering Shard
		11139,	--	Large Glowing Shard
		22203,	--	Large Obsidian Shard
		12799,	--	Large Opal
		11178,	--	Large Radiant Shard
		1288,	--	Large Venom Sac
		17011,	--	Lava Core
		1015,	--	Lean Wolf Flank
		10998,	--	Lesser Astral Essence
		16202,	--	Lesser Eternal Essence
		10938,	--	Lesser Magic Essence
		1705,	--	Lesser Moonstone
		11134,	--	Lesser Mystic Essence
		11174,	--	Lesser Nether Essence
		3357,	--	Liferoot
		108325,	--	Liferoot Stem
		17056,	--	Light Feather
		783,	--	Light Hide
		2318,	--	Light Leather
		13757,	--	Lightning Eel
		2589,	--	Linen Cloth
		3731,	--	Lion Meat
		12803,	--	Living Essence
		5373,	--	Lucky Charm
		27668,	--	Lynx Meat
		785,	--	Mageroyal
		108318,	--	Mageroyal Petal
		4338,	--	Mageweave Cloth
		774,	--	Malachite
		19943,	--	Massive Mojo
		12223,	--	Meaty Bat Wing
		4232,	--	Medium Hide
		2319,	--	Medium Leather
		2678,	--	Mild Spices
		3860,	--	Mithril Bar
		10561,	--	Mithril Casing
		3858,	--	Mithril Ore
		108300,	--	Mithril Ore Nugget
		10559,	--	Mithril Tube
		14342,	--	Mooncloth
		23676,	--	Moongraze Stag Tenderloin
		1206,	--	Moss Agate
		13465,	--	Mountain Silversage
		108341,	--	Mountain Silversage Stalk
		1468,	--	Murloc Fin
		12037,	--	Mystery Meat
		7072,	--	Naga Scale
		20725,	--	Nexus Crystal
		18240,	--	Ogre Tannin
		6358,	--	Oily Blackmouth
		6261,	--	Orange Dye
		2447,	--	Peacebloom
		6471,	--	Perfect Deviate Scale
		10290,	--	Pink Dye
		12804,	--	Powerful Mojo
		18335,	--	Pristine Black Diamond
		4342,	--	Purple Dye
		8831,	--	Purple Lotus
		108333,	--	Purple Lotus Petal
		3685,	--	Raptor Egg
		12184,	--	Raptor Flesh
		4461,	--	Raptor Hide
		6291,	--	Raw Brilliant Smallfish
		6308,	--	Raw Bristle Whisker Catfish
		13754,	--	Raw Glossy Mightfish
		21153,	--	Raw Greater Sagefish
		6317,	--	Raw Loch Frenzy
		6289,	--	Raw Longjaw Mud Snapper
		8365,	--	Raw Mithril Head Trout
		13759,	--	Raw Nightfin Snapper
		6361,	--	Raw Rainbow Fin Albacore
		13758,	--	Raw Redgill
		6362,	--	Raw Rockscale Cod
		21071,	--	Raw Sagefish
		6303,	--	Raw Slitherskin Mackerel
		4603,	--	Raw Spotted Yellowtail
		13756,	--	Raw Summer Bass
		13760,	--	Raw Sunscale Salmon
		13889,	--	Raw Whitescale Salmon
		15414,	--	Red Dragonscale
		2604,	--	Red Dye
		12203,	--	Red Wolf Meat
		12811,	--	Righteous Orb
		4357,	--	Rough Blasting Powder
		3470,	--	Rough Grinding Stone
		2835,	--	Rough Stone
		8171,	--	Rugged Hide
		8170,	--	Rugged Leather
		2934,	--	Ruined Leather Scraps
		14341,	--	Rune Thread
		14047,	--	Runecloth
		4289,	--	Salt
		20424,	--	Sandworm Meat
		15410,	--	Scale of Onyxia
		8154,	--	Scorpid Scale
		5466,	--	Scorpid Stinger
		10285,	--	Shadow Silk
		1210,	--	Shadowgem
		5635,	--	Sharp Claw
		4306,	--	Silk Cloth
		4291,	--	Silken Thread
		2842,	--	Silver Bar
		4404,	--	Silver Contact
		2775,	--	Silver Ore
		108294,	--	Silver Ore Nugget
		765,	--	Silverleaf
		30817,	--	Simple Flour
		4470,	--	Simple Wood
		5784,	--	Slimy Murloc Scale
		14343,	--	Small Brilliant Shard
		6889,	--	Small Egg
		4402,	--	Small Flame Sac
		10978,	--	Small Glimmering Shard
		11138,	--	Small Glowing Shard
		5498,	--	Small Lustrous Pearl
		22202,	--	Small Obsidian Shard
		11177,	--	Small Radiant Shard
		5465,	--	Small Spider Leg
		1475,	--	Small Venom Sac
		5468,	--	Soft Frenzy Flesh
		10505,	--	Solid Blasting Powder
		7966,	--	Solid Grinding Stone
		7912,	--	Solid Stone
		13466,	--	Sorrowmoss
		108342,	--	Sorrowmoss Leaf
		11083,	--	Soul Dust
		3182,	--	Spider's Silk
		5471,	--	Stag Meat
		7910,	--	Star Ruby
		11291,	--	Star Wood
		3859,	--	Steel Bar
		13422,	--	Stonescale Eel
		13423,	--	Stonescale Oil
		10940,	--	Strange Dust
		3820,	--	Stranglekelp
		108330,	--	Stranglekelp Blade
		5469,	--	Strider Meat
		2672,	--	Stringy Wolf Meat
		3466,	--	Strong Flux
		17203,	--	Sulfuron Ingot
		8838,	--	Sungrass
		108335,	--	Sungrass Stalk
		2452,	--	Swiftthistle
		108321,	--	Swiftthistle Leaf
		5504,	--	Tangy Clam Meat
		12206,	--	Tender Crab Meat
		3667,	--	Tender Crocolisk Meat
		12208,	--	Tender Wolf Meat
		8169,	--	Thick Hide
		4304,	--	Thick Leather
		5785,	--	Thick Murloc Scale
		4337,	--	Thick Spider's Silk
		5082,	--	Thin Kodo Leather
		12359,	--	Thorium Bar
		10620,	--	Thorium Ore
		108298,	--	Thorium Ore Nugget
		16000,	--	Thorium Tube
		15994,	--	Thorium Widget
		5470,	--	Thunder Lizard Tail
		12202,	--	Tiger Meat
		818,	--	Tigerseye
		3576,	--	Tin Bar
		2771,	--	Tin Ore
		108295,	--	Tin Ore Nugget
		1080,	--	Tough Condor Meat
		6037,	--	Truesilver Bar
		7911,	--	Truesilver Ore
		108299,	--	Truesilver Ore Nugget
		18631,	--	Truesilver Transformer
		3712,	--	Turtle Meat
		8167,	--	Turtle Scale
		10560,	--	Unstable Trigger
		11137,	--	Vision Dust
		15419,	--	Warbear Leather
		2880,	--	Weak Flux
		4375,	--	Whirring Bronze Gizmo
		12205,	--	White Spider Meat
		3355,	--	Wild Steelbloom
		108323,	--	Wild Steelbloom Petal
		8153,	--	Wildvine
		4399,	--	Wooden Stock
		2592,	--	Wool Cloth
		8165,	--	Worn Dragonscale
		4341,	--	Yellow Dye
		7974,	--	Zesty Clam Meat
};