--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Wrath of the Lich King.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_WotLK(itemID)
	for _,v in pairs(SmexyMats.WotLK_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.WotLK_ReagentIDs = {
	--Misc Items
		42780,	--	Relic of Ulduar
	--Lockbox IDs
		45986, 	-- 	Tiny Titanium Lockbox
		43624,	--	Titanium Lockbox
		43622, 	--	Froststeel Lockbox
	--Crafting Reagent IDs
		34057,	--	Abyss Crystal
		36903,	--	Adder's Tongue
		108353,	--	Adder's Tongue Stem
		39151,	--	Alabaster Pigment
		36931,	--	Ametrine
		44128,	--	Arctic Fur
		44835,	--	Autumnal Herbs
		36921,	--	Autumn's Glow
		39343,	--	Azure Pigment
		41812,	--	Barrelhead Goby
		36917,	--	Bloodstone
		41510,	--	Bolt of Frostweave
		41511,	--	Bolt of Imbued Frostweave
		41808,	--	Bonescale Snapper
		33568,	--	Borean Leather
		33567,	--	Borean Leather Scraps
		41805,	--	Borean Man O' War
		43104,	--	Burnt Pigment
		36919,	--	Cardinal Ruby
		43120,	--	Celestial Ink
		36923,	--	Chalcedony
		43013,	--	Chilled Meat
		34736,	--	Chunk o' Mammoth
		36916,	--	Cobalt Bar
		36909,	--	Cobalt Ore
		108305,	--	Cobalt Ore Nugget
		47556,	--	Crusader Orb
		37700,	--	Crystallized Air
		37701,	--	Crystallized Earth
		37702,	--	Crystallized Fire
		37704,	--	Crystallized Life
		37703,	--	Crystallized Shadow
		37705,	--	Crystallized Water
		36932,	--	Dark Jade
		43125,	--	Darkflame Ink
		43117,	--	Dawnstar Ink
		37921,	--	Deadnettle
		108358,	--	Deadnettle Bramble
		41800,	--	Deep Sea Monsterbelly
		41807,	--	Dragonfin Angelfish
		42225,	--	Dragon's Eye
		36928,	--	Dreadstone
		34052,	--	Dream Shard
		39334,	--	Dusky Pigment
		41334,	--	Earthsiege Diamond
		43108,	--	Ebon Pigment
		41593,	--	Ebonweave
		44500,	--	Elementium-Plated Exhaust Pipe
		39339,	--	Emerald Pigment
		35623,	--	Eternal Air
		35624,	--	Eternal Earth
		36860,	--	Eternal Fire
		35625,	--	Eternal Life
		35627,	--	Eternal Shadow
		35622,	--	Eternal Water
		38426,	--	Eternium Thread
		43124,	--	Ethereal Ink
		44958,	--	Ethereal Oil
		36934,	--	Eye of Zul
		41810,	--	Fangtooth Herring
		43121,	--	Fiery Ink
		39970,	--	Fire Leaf
		108359,	--	Fire Leaf Bramble
		36933,	--	Forest Emerald
		36908,	--	Frost Lotus
		39683,	--	Froststeel Tube
		33470,	--	Frostweave Cloth
		43102,	--	Frozen Orb
		41809,	--	Glacial Salmon
		41814,	--	Glassfin Minnow
		44501,	--	Goblin-Machined Piston
		36901,	--	Goldclover
		108352,	--	Goldclover Leaf
		39338,	--	Golden Pigment
		34055,	--	Greater Cosmic Essence
		39684,	--	Hair Trigger
		39681,	--	Handful of Cobalt Bolts
		38425,	--	Heavy Borean Leather
		44853,	--	Honey
		36929,	--	Huge Citrine
		43115,	--	Hunter's Ink
		36906,	--	Icethorn
		108356,	--	Icethorn Bramble
		42253,	--	Iceweb Spider Silk
		38557,	--	Icy Dragonscale
		112158,	--	Icy Dragonscale Fragment
		43109,	--	Icy Pigment
		41802,	--	Imperial Manta Ray
		43105,	--	Indigo Pigment
		34054,	--	Infinite Dust
		43126,	--	Ink of the Sea
		43123,	--	Ink of the Sky
		43118,	--	Jadefire Ink
		38561,	--	Jormungar Scale
		112178,	--	Jormungar Scale Fragment
		36922,	--	King's Amber
		34056,	--	Lesser Cosmic Essence
		36905,	--	Lichbloom
		108355,	--	Lichbloom Stalk
		39354,	--	Light Parchment
		43116,	--	Lion's Ink
		36925,	--	Majestic Zircon
		39774,	--	Midnight Ink
		36930,	--	Monarch Topaz
		41801,	--	Moonglow Cuttlefish
		39469,	--	Moonglow Ink
		41594,	--	Moonshroud
		41806,	--	Musselback Sculpin
		38558,	--	Nerubian Chitin
		112177,	--	Nerubian Chitin Fragment
		39342,	--	Nether Pigment
		41813,	--	Nettlefish
		43501,	--	Northern Egg
		43007,	--	Northern Spices
		36783,	--	Northsea Pearl
		39682,	--	Overcharged Capacitor
		49908,	--	Primordial Saronite
		40195,	--	Pygmy Oil
		40199,	--	Pygmy Suckerfish
		43012,	--	Rhino Meat
		41803,	--	Rockfin Grouper
		43119,	--	Royal Ink
		43106,	--	Ruby Pigment
		45087,	--	Runed Orb
		44499,	--	Salvaged Iron Golem Parts
		43107,	--	Sapphire Pigment
		36913,	--	Saronite Bar
		36912,	--	Saronite Ore
		108306,	--	Saronite Ore Nugget
		36918,	--	Scarlet Ruby
		36926,	--	Shadow Crystal
		43122,	--	Shimmering Ink
		43009,	--	Shoveltusk Flank
		39341,	--	Silvery Pigment
		36784,	--	Siren's Tear
		36924,	--	Sky Sapphire
		41266,	--	Skyflare Diamond
		34053,	--	Small Dream Shard
		43127,	--	Snowfall Ink
		41595,	--	Spellweave
		36782,	--	Succulent Clam Meat
		36920,	--	Sun Crystal
		36907,	--	Talandra's Rose
		108357,	--	Talandra's Rose Petal
		36904,	--	Tiger Lily
		108354,	--	Tiger Lily Petal
		41163,	--	Titanium Bar
		36910,	--	Titanium Ore
		108391,	--	Titanium Ore Nugget
		37663,	--	Titansteel Bar
		36927,	--	Twilight Opal
		43103,	--	Verdant Pigment
		39340,	--	Violet Pigment
		39690,	--	Volatile Blasting Trigger
		40533,	--	Walnut Stock
		44834,	--	Wild Turkey
		43011,	--	Worg Haunch
		43010,	--	Worm Meat
};