﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Alchemy.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Alchemy(iID) 
	for k, v in pairs(SmexyMats.ItemsFrom_Alchemy) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

function SmexyMats:IsFor_Alchemy(iID) 
	for k, v in pairs(SmexyMats.ItemsFor_Alchemy) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

--Alchemy is a source for these items.
SmexyMats.ItemsFrom_Alchemy = {
	108996,	--	Alchemical Catalyst
	52195,	--	Amberjewel
	36931,	--	Ametrine
	12360,	--	Arcanite Bar
	137596,	--	Black Transmutagen
	6370,	--	Blackmouth Oil
	124124,	--	Blood of Sargeras
	36919,	--	Cardinal Ruby
	109123,	--	Crescent Oil
	56850,	--	Deepstone Oil
	52194,	--	Demonseye
	36928,	--	Dreadstone
	52192,	--	Dream Emerald
	41334,	--	Earthsiege Diamond
	25867,	--	Earthstorm Diamond
	7068,	--	Elemental Fire
	52193,	--	Ember Topaz
	7082,	--	Essence of Air
	7076,	--	Essence of Earth
	7078,	--	Essence of Fire
	12808,	--	Essence of Undeath
	7080,	--	Essence of Water
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35625,	--	Eternal Life
	35627,	--	Eternal Shadow
	35622,	--	Eternal Water
	44958,	--	Ethereal Oil
	36934,	--	Eye of Zul
	6371,	--	Fire Oil
	9210,	--	Ghost Dye
	9061,	--	Goblin Rocket Fuel
	3577,	--	Gold Bar
	76141,	--	Imperial Amethyst
	52190,	--	Inferno Ruby
	36922,	--	King's Amber
	12803,	--	Living Essence
	72104,	--	Living Steel
	36925,	--	Majestic Zircon
	52191,	--	Ocean Sapphire
	137597,	--	Oily Transmutagen
	22451,	--	Primal Air
	76132,	--	Primal Diamond
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	21886,	--	Primal Life
	22457,	--	Primal Mana
	23571,	--	Primal Might
	22456,	--	Primal Shadow
	21885,	--	Primal Water
	76131,	--	Primordial Ruby
	40195,	--	Pygmy Oil
	51950,	--	Pyrium Bar
	76138,	--	River's Heart
	118472,	--	Savage Blood
	52303,	--	Shadowspirit Diamond
	25868,	--	Skyfire Diamond
	41266,	--	Skyflare Diamond
	113264,	--	Sorcerous Air
	113263,	--	Sorcerous Earth
	113261,	--	Sorcerous Fire
	113262,	--	Sorcerous Water
	13423,	--	Stonescale Oil
	76142,	--	Sun's Radiance
	41163,	--	Titanium Bar
	72095,	--	Trillium Bar
	58480,	--	Truegold
	6037,	--	Truesilver Bar
	137595,	--	Viscous Transmutagen
	76140,	--	Vermilion Onyx
	76139,	--	Wild Jadem
};

--These items are reagents for Alchemy.
SmexyMats.ItemsFor_Alchemy = {
	109143,	--	Abyssal Gulper Eel Flesh
	36903,	--	Adder's Tongue
	124101,	--	Aethril
	53065,	--	Albino Cavefish
	108996,	--	Alchemical Catalyst
	76137,	--	Alexandrite
	52179,	--	Alicite
	22790,	--	Ancient Lichen
	12363,	--	Arcane Crystal
	36921,	--	Autumn's Glow
	52985,	--	Azshara's Veil
	23117,	--	Azure Moonstone
	124119,	--	Big Gamy Ribs
	124112,	--	Black Barracuda
	13468,	--	Black Lotus
	137596,	--	Black Transmutagen
	9262,	--	Black Vitriol
	6370,	--	Blackmouth Oil
	109118,	--	Blackrock Ore
	109144,	--	Blackwater Whiptail Flesh
	109140,	--	Blind Lake Sturgeon Flesh
	8839,	--	Blindweed
	23077,	--	Blood Garnet
	124124,	--	Blood of Sargeras
	36917,	--	Bloodstone
	2450,	--	Briarthorn
	2453,	--	Bruiseweed
	52177,	--	Carnelian
	36923,	--	Chalcedony
	52983,	--	Cinderbloom
	109123,	--	Crescent Oil
	109137,	--	Crescent Saberfish Flesh
	3371,	--	Crystal Vial
	37701,	--	Crystallized Earth
	37702,	--	Crystallized Fire
	37704,	--	Crystallized Life
	37703,	--	Crystallized Shadow
	37705,	--	Crystallized Water
	124107,	--	Cursed Queenfish
	36932,	--	Dark Jade
	37921,	--	Deadnettle
	23079,	--	Deep Peridot
	56850,	--	Deepstone Oil
	3164,	--	Discolored Worg Heart
	3819,	--	Dragon's Teeth
	11176,	--	Dream Dust
	13463,	--	Dreamfoil
	22786,	--	Dreaming Glory
	124102,	--	Dreamleaf
	2449,	--	Earthroot
	25867,	--	Earthstorm Diamond
	7067,	--	Elemental Earth
	7068,	--	Elemental Fire
	7070,	--	Elemental Water
	52186,	--	Elementium Bar
	7082,	--	Essence of Air
	7076,	--	Essence of Earth
	7078,	--	Essence of Fire
	12808,	--	Essence of Undeath
	7080,	--	Essence of Water
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35625,	--	Eternal Life
	35627,	--	Eternal Shadow
	35622,	--	Eternal Water
	44958,	--	Ethereal Oil
	3818,	--	Fadeleaf
	109139,	--	Fat Sleeper Flesh
	124118,	--	Fatty Bearsteak
	23782,	--	Fel Iron Casing
	22794,	--	Fel Lotus
	127759,	--	Felblight
	123919,	--	Felslate
	22785,	--	Felweed
	124106,	--	Felwort
	109141,	--	Fire Ammonite Tentacle
	6371,	--	Fire Oil
	4625,	--	Firebloom
	6359,	--	Firefin Snapper
	109125,	--	Fireweed
	124104,	--	Fjarnskaggl
	21929,	--	Flame Spessarite
	79011,	--	Fool's Cap
	36933,	--	Forest Emerald
	124103,	--	Foxflower
	36908,	--	Frost Lotus
	109124,	--	Frostweed
	72096,	--	Ghost Iron Bar
	8845,	--	Ghost Mushroom
	41814,	--	Glassfin Minnow
	36901,	--	Goldclover
	23112,	--	Golden Draenite
	72238,	--	Golden Lotus
	13464,	--	Golden Sansam
	3821,	--	Goldthorn
	109126,	--	Gorgrond Flytrap
	3369,	--	Grave Moss
	72234,	--	Green Tea Leaf
	8846,	--	Gromsblood
	7077,	--	Heart of Fire
	10286,	--	Heart of the Wild
	52986,	--	Heartblossom
	52181,	--	Hessonite
	124109,	--	Highmountain Salmon
	36929,	--	Huge Citrine
	13467,	--	Icecap
	36906,	--	Icethorn
	7972,	--	Ichor of Undeath
	76141,	--	Imperial Amethyst
	124444,	--	Infernal Brimstone
	3575,	--	Iron Bar
	52182,	--	Jasper
	109138,	--	Jawless Skulker Flesh
	3358,	--	Khadgar's Whisker
	3356,	--	Kingsblood
	76133,	--	Lapis Lazuli
	5637,	--	Large Fang
	1288,	--	Large Venom Sac
	124117,	--	Lean Shank
	124120,	--	Leyblood
	123918,	--	Leystone Ore
	36905,	--	Lichbloom
	3357,	--	Liferoot
	12803,	--	Living Essence
	785,	--	Mageroyal
	22793,	--	Mana Thistle
	19943,	--	Massive Mojo
	3860,	--	Mithril Bar
	3858,	--	Mithril Ore
	36930,	--	Monarch Topaz
	124108,	--	Mossgill Perch
	22573,	--	Mote of Earth
	22574,	--	Mote of Fire
	22578,	--	Mote of Water
	13465,	--	Mountain Silversage
	109128,	--	Nagrand Arrowbloom
	30183,	--	Nether Vortex
	22791,	--	Netherbloom
	22792,	--	Nightmare Vine
	52180,	--	Nightstone
	6358,	--	Oily Blackmouth
	137597,	--	Oily Transmutagen
	76136,	--	Pandarian Garnet
	2447,	--	Peacebloom
	12804,	--	Powerful Mojo
	22451,	--	Primal Air
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	21886,	--	Primal Life
	22457,	--	Primal Mana
	23571,	--	Primal Might
	22456,	--	Primal Shadow
	21885,	--	Primal Water
	4342,	--	Purple Dye
	8831,	--	Purple Lotus
	40195,	--	Pygmy Oil
	40199,	--	Pygmy Suckerfish
	51950,	--	Pyrium Bar
	65892,	--	Pyrium-Laced Crystalline Vial
	22787,	--	Ragveil
	72237,	--	Rain Poppy
	76135,	--	Roguestone
	124111,	--	Runescale Koi
	65893,	--	Sands of Time
	36913,	--	Saronite Bar
	118472,	--	Savage Blood
	36918,	--	Scarlet Ruby
	23107,	--	Shadow Draenite
	124437,	--	Shal'dorei Silk
	5635,	--	Sharp Claw
	72235,	--	Silkweed
	765,	--	Silverleaf
	36924,	--	Sky Sapphire
	25868,	--	Skyfire Diamond
	4402,	--	Small Flame Sac
	79010,	--	Snow Lily
	113264,	--	Sorcerous Air
	113263,	--	Sorcerous Earth
	113261,	--	Sorcerous Fire
	113262,	--	Sorcerous Water
	13466,	--	Sorrowmoss
	83064,	--	Spinefish
	76061,	--	Spirit of Harmony
	109127,	--	Starflower
	124105,	--	Starlight Rose
	124113,	--	Stonehide Leather
	13422,	--	Stonescale Eel
	13423,	--	Stonescale Oil
	124110,	--	Stormray
	124115,	--	Stormscale
	52984,	--	Stormvine
	3820,	--	Stranglekelp
	8838,	--	Sungrass
	76134,	--	Sunstone
	2452,	--	Swiftthistle
	109129,	--	Talador Orchid
	36907,	--	Talandra's Rose
	22789,	--	Terocone
	12359,	--	Thorium Bar
	10620,	--	Thorium Ore
	36904,	--	Tiger Lily
	76130,	--	Tiger Opal
	72095,	--	Trillium Bar
	109119,	--	True Iron Ore
	58480,	--	Truegold
	52987,	--	Twilight Jasmine
	36927,	--	Twilight Opal
	124438,	--	Unbroken Claw
	124439,	--	Unbroken Tooth
	76140,	--	Vermilion Onyx
	137595,	--	Viscous Transmutagen
	52328,	--	Volatile Air
	52327,	--	Volatile Earth
	52325,	--	Volatile Fire
	52329,	--	Volatile Life
	52326,	--	Volatile Water
	52988,	--	Whiptail
	76139,	--	Wild Jade
	3355,	--	Wild Steelbloom
	124121,	--	Wildfowl Egg
	8153,	--	Wildvine
	128304,	--	Yseralline Seed
	52178,	--	Zephyrite
};
